Subject: Re: Command-line interface thoughts

From: Holger Hellmuth <[email-masked]>
Date: Tue, 14 Jun 2011 00:33:37 +0200

Am 13.06.2011 12:15, schrieb Jakub Narebski:
> For other people getting the reverse of changes can be certainly
> suprising (I though I added this, not deleted...).  When you specify
> endpoints manually, there is a chance to get them in wrong direction.
> Especially that there is NEXT WTREE but HEAD NEXT.

Other people have that problem anyway when they use 'git diff <commit>
<othercommit>'. Or when they use linux diff, where the man page doesn't
even specify which direction it compares. Obviously someone thought that
"--- a.txt,  +++ b.txt" or the direction of '>' and '<' give enough hints.

[...]
> BTW. there is code for 'git put'.  Where is code for git diff targets?

Do you accept perl code? ;-) I've never seriously coded in C

Holger.